azadhussnain

Well-Known Member
May 28, 2020
52
0
6
India
cPanel Access Level
Root Administrator
Hello i have an dedicated server where CloudLinux OS , cPanel , LiteSpeed and Imunify360 is Installed.
I'm facing very annoying issue every time.
Everytime my users face an error on their wordpress site that MySQL Extension isn't enabled.
But in cPanel -> Select PHP Version it is enabled.
and also in multi php version it is inherited Version.
I use MariaDB 10.23

After running this command :
cagefsctl -M
The issue getting fixed but when a new client purchases hosting and installing cPanel on his new cPanel then he got the issue again and i have to run cagefsctl -M again.

Please tell me how can i fix, it is so much annoying issue
 

andrew.n

Well-Known Member
Jun 9, 2020
683
216
43
EU
cPanel Access Level
Root Administrator
have you tried to update cagefs skeleton? You can do so from WHM under CageFS and at the bottom right on the page. Also if you click on LVE Manager then Options then PHP Selector at the bottom of the page the MySQL module is enabled for the PHP version(s) you want to have it enabled?